﻿<?php
  define("EVENTS", 20);
  define("COUNTRIES", 10);

  $countryNames = [];
  $eventDescriptions = [[]];
  $eventYears = [[]];
  for ($j = 0; $j <= COUNTRIES - 1; $j++) {
    $countryNames[$j] = readline("Enter Country No. " . ($j + 1) . ": ");
    for ($i = 0; $i <= EVENTS - 1; $i++) {
      $eventDescriptions[$i][$j] = readline("Enter description for event No. " . ($i + 1) . ": ");
      $eventYears[$i][$j] = (int)readline("Enter year for event No. " . ($i + 1) . ": ");      
    }
  }

  $needle = (int)readline("Enter a year to search: ");

  for ($j = 0; $j <= COUNTRIES - 1; $j++) {
    $top = 0;
    $bottom = EVENTS - 1;
    $found = false;
    while ($top <= $bottom && !$found) {
      $middle = (int)(($top + $bottom) / 2);

      if ($needle < $eventYears[$middle][$j]) {
        $bottom = $middle - 1;
      }
      elseif ($needle > $eventYears[$middle][$j]) {
        $top = $middle + 1;
      }
      else {
        $found = true;
      }
    }

    if (!$found) {
      echo "No event found for country ", $countryNames[$j], "\n";
    }
    else {
      echo "Country: ", $countryNames[$j], "\n";
      echo "Year: ", $eventYears[$middle][$j], "\n";
      echo "Event: ", $eventDescriptions[$middle][$j], "\n";
    }
  }
?>
