﻿<?php
  define("EVENTS", 20);
  define("COUNTRIES", 10);

  $countryNames = [];
  $eventDescriptions = [[]];
  for ($j = 0; $j <= COUNTRIES - 1; $j++) {
    $countryNames[$j] = readline("Enter Country No. " . ($j + 1) . ": ");
    for ($i = 0; $i <= EVENTS - 1; $i++) {
      $eventDescriptions[$i][$j] = readline("Enter description for event No. " . ($i + 1) . ": ");   
    }
  }

  $needle = strtoupper(readline("Enter a country to search: "));

  //Country names are entered in alphabetical order.
  //Use the binary search algorithm to search for needle.
  $left = 0;
  $right = EVENTS - 1;
  $found = false;
  while ($left <= $right && !$found) {
    $middle = (int)(($left + $right) / 2);

    if ($needle < strtoupper($countryNames[$middle])) {
      $right = $middle - 1;
    }
    elseif ($needle > strtoupper($countryNames[$middle])) {
      $left = $middle + 1;
    }
    else {
      $found = true;
    }
  }

  if (!$found) {
    echo "No country found!\n";
  }
  else {
    for ($i = 0; $i <= EVENTS - 1; $i++) {
      echo $eventDescriptions[$i][$middle], "\n";
    }
  }
?>
