﻿<?php
  class FahrenheitToCelsius {
    public $temperature;

    //Define the constructor
    function __construct($value) { 
      $this->setTemperature($value);   //Use a method to set the value of the field temperature
    }

    //This method gets the temperature
    function getTemperature() {
      return 5.0 / 9.0 * ($this->temperature - 32.0);
    }

    //This method sets the temperature
    function setTemperature($value) { 
      if ($value >= -459.67) {
        $this->temperature = $value;
      }
      else {
        throw new Exception("There is no temperature below -459.67");
      }
    }
  }

  //Main code starts here
  $x = new FahrenheitToCelsius(-500);  //Create object x
  echo $x->getTemperature(), "\n";
?>
