﻿<?php
  //Define the class SchoolMember.
  class SchoolMember {
    public $name;
    public $age;

    //Define the constructor
    function __construct($name, $age) {
      $this->name = $name;
      $this->age = $age;
      echo "A school member was initialized\n";
    }
  }

  //Define the class Teacher. It inherits the class SchoolMember.
  class Teacher extends SchoolMember {
    public $salary;  //This is an additional field for class Teacher

    //Define the constructor
    function __construct($name, $age, $salary) {
      parent::__construct($name, $age);
      $this->salary = $salary;
      echo "A teacher was initialized\n";
    }

    //This is an additional method for this class
    function displayValues() {
      echo "Name: ", $this->name, "\n";
      echo "Age: ", $this->age, "\n";
      echo "Salary: ", $this->salary, "\n";
    }
  }

  //Define the class Student. It inherits the class SchoolMember.
  class Student extends SchoolMember {
    public $finalGrade;  //This is an additional field for class Student

    //Define the constructor
    function __construct($name, $age, $finalGrade) {
      parent::__construct($name, $age);
      $this->finalGrade = $finalGrade;
      echo "A student was initialized\n";
    }

    //This is an additional method for this class
    function displayValues() {
      echo "Name: ", $this->name, "\n";
      echo "Age: ", $this->age, "\n";
      echo "Final grade: ", $this->finalGrade, "\n";
    }
  }

  //Main code starts here
  $teacher1 = new Teacher("Mr. John Scott", 43, 35000);
  $teacher2 = new Teacher("Mrs. Ann Carter", 5, 32000);

  $student1 = new Student("Mark Nelson", 14, "A");
  $student2 = new Student("Mary Morgan", 13, "B");

  $teacher1->displayValues();
  $teacher2->displayValues();
  $student1->displayValues();
  $student2->displayValues();
?>
