﻿<?php
  class Romans {
    private $_number;

    //Define the getter
    function getNumber() {
      return $this->_number;
    }

    //Define the setter
    function setNumber($value) {
      if ($value >= 1 && $value <= 5) {
        $this->_number = $value;
      }
      else {
        throw new Exception("Number not recognized");
      }
    }

     //Define the getter
    function getRoman() {
      $number2roman = [1 => "I", 2 => "II", 3 => "III", 4 => "IV", 5 => "V"];
      return $number2roman[$this->_number];
    }

    //Define the setter
    function setRoman($value) {
      $roman2number = ["I" => 1, "II" => 2, "III" => 3, "IV" => 4, "V" => 5];

      if (array_key_exists($value, $roman2number)) {
        $this->_number = $roman2number[$value];
      }
      else {
        throw new Exception("Roman numeral not recognized");
      }
    }
  }

  //Main code starts here
  $x = new Romans();

  $x->setNumber(3);
  echo $x->getNumber(), "\n";  //It displays: 3
  echo $x->getRoman(), "\n";   //It displays: III

  $x->setRoman("V");
  echo $x->getNumber(), "\n";  //It displays: 5
  echo $x->getRoman(), "\n";   //It displays: V
?>
