﻿<?php
  class FahrenheitToCelsius {
    private $_temperature;  //Declare field temperature as private

    //Define the constructor
    function __construct($value) { 
      $this->setTemperature($value);   //Call the setter
    }

    //This method gets the temperature
    function getTemperature() {
      return 5.0 / 9.0 * ($this->_temperature - 32.0);
    }

    //This method sets the temperature
    function setTemperature($value) { 
      if ($value >= -459.67) {
        $this->_temperature = $value;
      }
      else {
        throw new Exception("There is no temperature below -459.67");
      }
    }
  }

  //Main code starts here
  $x = new FahrenheitToCelsius(-50);  //Create object x. This calls the constructor which,
                                      //in turn, calls the setter.

  echo $x->getTemperature(), "\n";    //This calls the getter.

  $x->setTemperature(-65);            //This calls the setter.
  echo $x->getTemperature(), "\n";    //This calls the getter.

  $x->_temperature = -50;             //This is NOT permitted!
  echo $x->_temperature, "\n";        //This is NOT permitted as well!
?>
